--- configure.orig	2004-02-17 22:09:31 UTC
+++ configure
@@ -24258,6 +24258,7 @@ _ACEOF
       ;;
     freebsd*)
       ZINF_OS="freebsd";
+      UNIX_AUDIO_API="linux"
 
 cat >>confdefs.h <<\_ACEOF
 #define ZINF_OS_BSD 1
@@ -26886,231 +26887,6 @@ if test x$musicbrainz_prefix != x ; then
 
 fi
 
-MUSICBRAINZ_LIBS="$MUSICBRAINZ_LIBS $ZLIB_LIBS"
-
-CPPFLAGS="$ac_orig_CPPFLAGS $MUSICBRAINZ_CFLAGS"
-LIBS="$ac_orig_LIBS $MUSICBRAINZ_LIBS"
-
-if test "${ac_cv_header_musicbrainz_mb_c_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for musicbrainz/mb_c.h" >&5
-echo $ECHO_N "checking for musicbrainz/mb_c.h... $ECHO_C" >&6
-if test "${ac_cv_header_musicbrainz_mb_c_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_musicbrainz_mb_c_h" >&5
-echo "${ECHO_T}$ac_cv_header_musicbrainz_mb_c_h" >&6
-else
-  # Is the header compilable?
-echo "$as_me:$LINENO: checking musicbrainz/mb_c.h usability" >&5
-echo $ECHO_N "checking musicbrainz/mb_c.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <musicbrainz/mb_c.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_header_compiler=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking musicbrainz/mb_c.h presence" >&5
-echo $ECHO_N "checking musicbrainz/mb_c.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <musicbrainz/mb_c.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_cxx_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: musicbrainz/mb_c.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: musicbrainz/mb_c.h: in the future, the compiler will take precedence" >&2;}
-    (
-      cat <<\_ASBOX
-## ------------------------------------------ ##
-## Report this to the AC_PACKAGE_NAME lists.  ##
-## ------------------------------------------ ##
-_ASBOX
-    ) |
-      sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-echo "$as_me:$LINENO: checking for musicbrainz/mb_c.h" >&5
-echo $ECHO_N "checking for musicbrainz/mb_c.h... $ECHO_C" >&6
-if test "${ac_cv_header_musicbrainz_mb_c_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_header_musicbrainz_mb_c_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_musicbrainz_mb_c_h" >&5
-echo "${ECHO_T}$ac_cv_header_musicbrainz_mb_c_h" >&6
-
-fi
-if test $ac_cv_header_musicbrainz_mb_c_h = yes; then
-  header_found=1
-else
-  header_found=0
-fi
-
-
-if test "$header_found" = 1; then
-  for lib in musicbrainz; do
-    as_ac_Lib=`echo "ac_cv_lib_$lib''_mb_GetVersion" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for mb_GetVersion in -l$lib" >&5
-echo $ECHO_N "checking for mb_GetVersion in -l$lib... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Lib+set}\" = set"; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-l$lib  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char mb_GetVersion ();
-int
-main ()
-{
-mb_GetVersion ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  eval "$as_ac_Lib=yes"
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-eval "$as_ac_Lib=no"
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
-if test `eval echo '${'$as_ac_Lib'}'` = yes; then
-  MUSICBRAINZ_LIBS="$MUSICBRAINZ_LIBS -l$lib"
-else
-  MUSICBRAINZ_LIBS=""
-fi
-
-    if test -n "$MUSICBRAINZ_LIBS"; then break; fi
-  done
-else
-  MUSICBRAINZ_LIBS=""
-fi
 if test "$MUSICBRAINZ_LIBS" != ""; then
   have_mb=yes
 else
@@ -27120,26 +26896,6 @@ fi
 LIBS="$ac_orig_LIBS"
 CPPFLAGS="$ac_orig_CPPFLAGS"
 
-
-if test "$have_mb" = "yes"; then
-  METADATA_PLUGINS="$METADATA_PLUGINS mbcd"
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_MB 1
-_ACEOF
-
-else
-  { echo "$as_me:$LINENO: WARNING:
-  *** Zinf requires the MusicBrainz client library version 2.0.1
-  *** for cd title lookup.
-  *** Please download the library from http://www.musicbrainz.org/download.html
-  ***" >&5
-echo "$as_me: WARNING:
-  *** Zinf requires the MusicBrainz client library version 2.0.1
-  *** for cd title lookup.
-  *** Please download the library from http://www.musicbrainz.org/download.html
-  ***" >&2;}
-fi
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
